package Atlas::ScaffoldHeapEle;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

$VERSION=1.0;

require Exporter;
require AutoLoader;

# No names exported.
@EXPORT = ( );


sub new {
    my $class = shift;
    my $val=shift;
    my $node1=shift;
    my $node2=shift;
    $class = ref($class) || $class;

    my $self={};
    $self->{'val'} = $val;
    $self->{'node1'} = $node1;
    $self->{'node2'} = $node2;

    bless $self, $class;
    return $self;
}

sub val {
    my $self = shift;
    @_ ? ($self->{'val'} = shift) : $self->{'val'};
}


sub cmp {
    my $self = shift;
    my $other = shift;

    return $other->{'val'} <=> $self->{'val'}; #reverse sort
}


sub heap {
    my $self = shift;
    @_ ? ($self->{'heap'} = shift) : $self->{'heap'};
}

1;

__END__
